Consultar pedido por chave de acesso

Retorna os dados de um pedido a partir da chave de acesso da nota fiscal.

Header obrigatório. Toda chamada exige o header x-abbiamo-seller-group-key. Preencha-o no canto superior direito desta página ou veja como obter a sua chave.

Rate limit: 300 requisições por minuto por chave. Acima disso a API retorna HTTP 429.

Este endpoint retorna os detalhes do pedido (a maior parte deles é o que você enviou na criação).

GET
/seller-group/v1/seller/identifier/{seller_identifier}/orders/access_key/{access_key}

Authorization

sellerGroupKey
x-abbiamo-seller-group-key<token>

In: header

Path Parameters

seller_identifier*string

Seu identificador de filial. Default: documento da filial

access_key*string

Chave de acesso da nota fiscal eletrônica (44 dígitos)

Response Body

application/json

application/json

curl -X GET "https://example.com/seller-group/v1/seller/identifier/string/orders/access_key/string"
[
  {
    "id": "3d7672a6-0790-4151-9568-5d950ceea3f5",
    "order_number": "1234",
    "external_id": "xpto9876",
    "tracking": "EKC3TI467Q4B",
    "status_name": "CREATED",
    "sub_status": null,
    "invoice_number": null,
    "access_key": null,
    "invoice_created_timestamp": "2023-01-09T13:52:48.480Z",
    "amount": 1000,
    "type": "DELIVERY",
    "created_at": "2023-01-09T14:52:48.480Z",
    "creation_origin": "API-V2",
    "last_delivery_type": "TRANSPORTADORA-B",
    "last_delivery_method_name": "MOTO",
    "last_delivery_shipping_method_type": "EXPRESS",
    "last_delivery_external_id": "123",
    "last_delivery_support_id": "123",
    "last_delivery_collect_eta": "2023-01-09T14:52:48.480Z",
    "last_delivery_collect_verification_code": "9999",
    "last_delivery_delivery_eta": "2023-01-09T14:52:48.480Z",
    "last_delivery_delivery_verification_code": "9999",
    "last_delivery_return_eta": "2023-01-09T14:52:48.480Z",
    "last_delivery_return_verification_code": "9999",
    "additional_information": null,
    "carrier_additional_information": null,
    "estimated_route_distance": 1000,
    "estimated_straight_distance": 1000,
    "expected_customer_shipping_price": 1290,
    "expected_customer_shipping_date": "2023-01-09T14:52:48.480Z",
    "last_delivery_expected_delivery_price": 899,
    "last_delivery_expected_delivery_date": "2023-01-09T14:52:48.480Z",
    "customer_purchase_experience_rating": 9,
    "customer_delivery_experience_rating": 8,
    "customer_feedback_comment": "Muito bom",
    "delivery_window_start": "2023-01-09T14:52:48.480Z",
    "delivery_window_end": "2023-01-09T14:52:48.480Z",
    "delivery_service_time": 30,
    "seller": {
      "id": "19dac7ad-8a46-4f7e-8e9d-64e932a0133d",
      "company_name": "Example",
      "trading_name": "Example Trading",
      "document_number": "12345678000190",
      "identifier": "12345678000190"
    },
    "customer": {
      "name": "John Doe",
      "email": "john.doe@example.com",
      "phone": "21988887777",
      "document_type": "CPF",
      "document_number": "01234567899"
    },
    "destination_address": {
      "zip_code": "22411003",
      "street": "123 Main Street",
      "street_number": "456",
      "complement": "Apt 789",
      "neighborhood": "Downtown",
      "city": "Cityville",
      "state": "RJ",
      "country": "BRA",
      "reference": "Proximo ao parque",
      "latitude": -23.536530003667,
      "longitude": -46.365090015514
    },
    "volumes": [
      {
        "weight": 1500,
        "height": null,
        "width": null,
        "length": null,
        "items": [
          {
            "name": "Item",
            "quantity": 1,
            "amount": 1000,
            "weight": 1500,
            "sku": null
          }
        ]
      }
    ]
  }
]
{}